﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebApplication4._Default" %>

<%@ Register Assembly="Syncfusion.EJ.Web" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

<asp:Content runat="server" ID="FeaturedContent" ContentPlaceHolderID="FeaturedContent">
  </asp:Content> 
<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
      <div class="frame ">
        <div class="control">
            <ej:DatePicker ID="datelocalization" Locale="es-ES" ButtonText="Today" runat="server"></ej:DatePicker>
          
        </div>
       </div>
     <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    <span>Select Culture</span>
                </div>
                <div class="col-md-3">
                    <ej:DropDownList runat="server" ID="culture" TargetID="culturelist" ClientSideOnChange="onChange" Width="100px" SelectedItemIndex="0"></ej:DropDownList>
                    <div id="culturelist">
                        <ul>
                            <li>en-US</li>
                            <li>es-CO</li>
                            
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
</asp:Content>

<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src="Scripts/ej.web.all.min.js"></script>
    <script src="Scripts/globalize.culture.en-US.min.js"></script>
    <script src="Scripts/globalize.culture.es-ES.min.js"></script>
    <script type="text/javascript">
        $(function () {
            var ddobject = $("#<%=culture.ClientID%>").data("ejDropDownList");
           
        });
        function onChange(args) {
            var datebject = $("#<%=datelocalization.ClientID%>").data("ejDatePicker");
            datebject.setModel({ dateFormat: "MM/dd/yyyy" });
            alert(datebject);
            // localizable text
            if (args.text == "en-US") {
                datebject.option({ buttonText: "Hom nay" });
            }
            else if (args.text == "es-CO") {
                datebject.option({ buttonText: "aujourd'hui" });
            }
            else {
                datebject.option({ buttonText: "Today" });
            }
            datebject.setModel({ locale: args.text });
        }

    </script>

    
</asp:Content>


   